Bug 391971 - Soundserver (artsd) crased and caused the signal 6 on KDE startup
Summary: Soundserver (artsd) crased and caused the signal 6 on KDE startup
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: arts
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-20 11:56 UTC by Tim Wegener
Modified: 2009-01-09 05:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 05:17:24 UTC
Type: ---


Attachments (Terms of Use)
Backtrace saved from KDE Crash Handler dialog for artsd crash on startup (2.20 KB, text/plain)
2007-11-20 11:56 UTC, Tim Wegener
no flags Details


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 152588 None None None Never

Description Tim Wegener 2007-11-20 11:56:35 UTC
Description of problem:
After logging into a KDE session a SoundServer Crash Handler dialog appears with
the description: 'The application Soundserver (artsd) crased and caused the
signal 6 on KDE startup.'

Version-Release number of selected component (if applicable):
arts-1.5.8-4.fc8
kdebase-3.5.8-5.fc8
alsa-lib-1.0.15-1.fc8
alsa-plugins-pulseaudio-1.0.14-5.fc8
alsa-utils-1.0.15-1.fc8
kernel-2.6.23.1-49.fc8

How reproducible:
Happens intermittently on startup, roughly 50% of the time.

Steps to Reproduce:
1. Switch on computer
2. Log in to KDE session
3. Wait for KDE to load, and then crash dialog appears. 
  
Actual results:
Crash dialog

Expected results:
Normal login with no crash.

Additional info:
See attachment for backtrace.

Hardware:
SoundBlaster Live
Logitech Quickcam IM USB webcam with built-in microphone

Comment 1 Tim Wegener 2007-11-20 11:56:35 UTC
Created attachment 264831 [details]
Backtrace saved from KDE Crash Handler dialog for artsd crash on startup

Comment 2 Tim Wegener 2007-11-20 11:57:57 UTC
I've also reported the bug upstream:
https://bugs.kde.org/show_bug.cgi?id=152588


Comment 3 Rex Dieter 2007-11-20 13:38:33 UTC
2 things to try/answer please:

1.  Have you modified any of arts' settings from the defaults?

2. Disabling kde/pulseaudio support:
yum remove kde-settings-pulseaudio alsa-plugins-pulseaudio
Does the problem remain?

Comment 4 Tim Wegener 2007-11-20 14:10:54 UTC
I have not modified any arts settings.

Thanks for the other suggestion. I'll give it a try when I get the chance.


Comment 5 Chuck Ebbert 2008-01-21 19:58:43 UTC
Page protection violation.
Writing to a read-only page.

00000000 <.text>:
   0:   00 57 56                add    %dl,0x56(%edi)
   3:   89 d6                   mov    %edx,%esi
   5:   53                      push   %ebx
   6:   89 c3                   mov    %eax,%ebx
   8:   89 e0                   mov    %esp,%eax
   a:   25 00 f0 ff ff          and    $0xfffff000,%eax
   f:   ff 40 14                incl   0x14(%eax)
  12:   89 da                   mov    %ebx,%edx
  14:   83 c2 04                add    $0x4,%edx
  17:   19 ff                   sbb    %edi,%edi
  19:   39 50 18                cmp    %edx,0x18(%eax)
  1c:   83 df 00                sbb    $0x0,%edi
  1f:   85 ff                   test   %edi,%edi
  21:   ba f2 ff ff ff          mov    $0xfffffff2,%edx
  26:   75 08                   jne    0x30
  28:   89 f0                   mov    %esi,%eax
  2a:   90                      nop
===>
   0:   0f b1 0b                cmpxchg %ecx,(%ebx)
   3:   89 c2                   mov    %eax,%edx
   5:   89 e0                   mov    %esp,%eax
   7:   25 00 f0 ff ff          and    $0xfffff000,%eax
   c:   ff 48 14                decl   0x14(%eax)
   f:   5b                      pop    %ebx
  10:   89 d0                   mov    %edx,%eax
  12:   5e                      pop    %esi
  13:   5f                      pop    %edi
  14:   c3                      ret


Comment 6 Chuck Ebbert 2008-01-21 20:00:00 UTC
Oops that was for bug 429412


Comment 7 Chuck Ebbert 2008-01-21 20:02:33 UTC
(In reply to comment #4)
> I have not modified any arts settings.
> 
> Thanks for the other suggestion. I'll give it a try when I get the chance.
> 

Is this a multi-CPU system (dual-core?)



Comment 8 Tim Wegener 2008-06-07 13:20:28 UTC
This was not a multi-CPU system. It was on a Celeron (Coppermine, I think). 

Comment 9 Bug Zapper 2008-11-26 08:36:21 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2009-01-09 05:17:24 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.